> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrape.st/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Users

> Search for Telegram users

Search globally for Telegram users by name or username.

## Query Parameters

<ParamField query="q" type="string" required>
  Search query string (1-1000 characters). You can also use `query` instead of
  `q`.
</ParamField>

<ParamField query="limit" type="number" default="10">
  Number of users to return (1-100)
</ParamField>

## Response

<ResponseField name="users" type="array">
  <Expandable title="properties">
    <ResponseField name="id" type="string">
      User ID
    </ResponseField>

    <ResponseField name="username" type="string | null">
      Username
    </ResponseField>

    <ResponseField name="firstName" type="string | null">
      First name
    </ResponseField>

    <ResponseField name="lastName" type="string | null">
      Last name
    </ResponseField>

    <ResponseField name="isBot" type="boolean">
      Whether the user is a bot
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="channels" type="array">
  <Expandable title="properties">
    <ResponseField name="id" type="string">
      Channel ID
    </ResponseField>

    <ResponseField name="title" type="string">
      Channel title
    </ResponseField>

    <ResponseField name="username" type="string | null">
      Channel username
    </ResponseField>

    <ResponseField name="memberCount" type="number | null">
      Number of members
    </ResponseField>

    <ResponseField name="isChannel" type="boolean">
      Whether it is a channel
    </ResponseField>

    <ResponseField name="isMegagroup" type="boolean">
      Whether it is a megagroup
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash theme={null}
  curl -X GET "https://scrape.st/telegram/users/search?q=satoshi&limit=10" \
    -H "x-api-key: YOUR_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "users": [
      {
        "id": "123456789",
        "username": "satoshi_nakamoto",
        "firstName": "Satoshi",
        "lastName": "Nakamoto",
        "isBot": false
      }
    ],
    "channels": [
      {
        "id": "987654321",
        "title": "Satoshi Fan Club",
        "username": "satoshi_fans",
        "memberCount": 5000,
        "isChannel": true,
        "isMegagroup": false
      }
    ]
  }
  ```
</ResponseExample>
